"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __esm = (fn, res) => function __init() {
  return fn && (res = (0, fn[__getOwnPropNames(fn)[0]])(fn = 0)), res;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// libs/commands/diff/src/lib/get-last-commit.ts
var get_last_commit_exports = {};
__export(get_last_commit_exports, {
  getLastCommit: () => getLastCommit
});
function getLastCommit(execOpts) {
  if (hasTags(execOpts)) {
    import_npmlog.default.silly("getLastTagInBranch", "");
    return childProcess.execSync("git", ["describe", "--tags", "--abbrev=0"], execOpts);
  }
  import_npmlog.default.silly("getFirstCommit", "");
  return childProcess.execSync("git", ["rev-list", "--max-parents=0", "HEAD"], execOpts);
}
function hasTags(opts) {
  let result = false;
  try {
    result = !!childProcess.execSync("git", ["tag"], opts);
  } catch (err) {
    import_npmlog.default.warn("ENOTAGS", "No git tags were reachable from this branch!");
    import_npmlog.default.verbose("hasTags error", err);
  }
  import_npmlog.default.verbose("hasTags", result.toString());
  return result;
}
var import_npmlog, childProcess;
var init_get_last_commit = __esm({
  "libs/commands/diff/src/lib/get-last-commit.ts"() {
    "use strict";
    import_npmlog = __toESM(require("npmlog"));
    childProcess = require("@lerna/child-process");
  }
});

// packages/lerna/src/commands/diff/lib/get-last-commit.ts
module.exports = (init_get_last_commit(), __toCommonJS(get_last_commit_exports));
